function nowPlaying() {
    var request = new XMLHttpRequest();
    request.open('GET', '/info', true);
    request.send();
    request.onload = function(){
	if(request.status == 200) {
	    var info = JSON.parse(request.response);
	    document.getElementById("now-playing").innerHTML = info["title"];
	}
    };
}

function addSong() {
    var request = new XMLHttpRequest();
    request.open('POST', '/add', true);
    request.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');
    data = "link="+document.getElementsByName('link')[0].value
    request.onload = function(){
	document.getElementsByName('link')[0].value = '';
	if(request.status == 200) {
	    setStatus("✓", "success");
	}
	else {
	    setStatus("✖", "error");
	}
	    
    }
    request.send(data);      
}

function setStatus(message, className) {
    var status = document.getElementById("play");
    status.classList.add(className);
    status.value = message;
    setTimeout(function(){
	status.classList.remove(className)
	status.value = "play"
    },700);
}

window.onload = function(){
    nowPlaying();
    setInterval(nowPlaying, 3000);
}
